Subject: Re: [PATCH net-next v1 1/1] nfc: mrvl: Don't use "proxy" headers

From: Jakub Kicinski <[email-masked]>
Date: Sun, 3 Nov 2024 08:17:40 -0800

On Fri,  1 Nov 2024 10:39:10 +0200 Andy Shevchenko wrote:
> Subject: [PATCH net-next v1 1/1] nfc: mrvl: Don't use "proxy" headers

What is a "proxy" header? Guessing by the two patches you posted - 
are you trying to get rid of of_gpio.h?

> Update header inclusions to follow IWYU (Include What You Use)
> principle.

I'm definitely on board with cleaning this up, but would prefer
to make sure we can validate new patches against introducing
regressions. Otherwise the stream of patches will be never ending.
What tooling do you use? Is it easy to integrate into a CI system?